using System.Numerics;
using Encompass;
using Microsoft.Xna.Framework.Graphics;

namespace PongFE.Components
{
    public struct Texture2DComponent : IComponent, IDrawableComponent
    {
        public Texture2D Texture { get; }
        public Vector2 Scale { get; }
        public int Layer { get; }

        public Texture2DComponent(Texture2D texture, int layer, Vector2 scale)
        {
            Texture = texture;
            Scale = scale;
            Layer = layer;
        }
    }
}
