using System.Numerics;

namespace PongFE.Extensions
{
    public static class Vector2Extensions
    {
        public static Microsoft.Xna.Framework.Vector2 ToXNAVector(this Vector2 vector)
        {
            return new Microsoft.Xna.Framework.Vector2(vector.X, vector.Y);
        }

        public static Vector2 Rotate(this Vector2 vector, float radians)
        {
            return Vector2.Transform(vector, Matrix3x2.CreateRotation(radians));
        }
    }
}
