using System.Numerics;
using Encompass;

namespace PongFE.Messages
{
    public struct MotionMessage : IMessage, IHasEntity
    {
        public Entity Entity { get; }
        public Vector2 Movement { get; }

        public MotionMessage(Entity entity, Vector2 movement)
        {
            Entity = entity;
            Movement = movement;
        }
    }
}
