using Encompass;
using MoonTools.Structs;

namespace PongFE.Messages
{
    public struct UpdatePositionMessage : IMessage, IHasEntity
    {
        public Entity Entity { get; }
        public Position2D Position { get; }

        public UpdatePositionMessage(Entity entity, Position2D position)
        {
            Entity = entity;
            Position = position;
        }
    }
}
